with import ./network.nix; {
  services = {
    minio.enable = true;

    nginx.virtualHosts.${miniodomain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:9000";
        extraConfig = ''
          allow 10.0.0.0/24;
          allow 10.3.0.0/24;
          deny all;
        '';
      };
    };
  };

  networking.extraHosts = ''
    ${architect-lan} ${miniodomain}
    ${architect-wg} ${miniodomain}
  '';
}
